#ifndef __IMPORTER_H__
#define __IMPORTER_H__

#include "kannadic.h"
#include <qvaluelist.h>
#include <qobject.h>
#include <qstring.h>
#include <kurl.h>

struct Trans{
	QString from;
	QString to;
};

static struct Trans trans_ime2canna_[] = {
	{"Ը", "ư(ԣʳ)"}
	,{"Ը", "ư(ԣʳ)"}
	,{"Ը", "ư(ԣʳ)"}
	,{"Ը", "ư(ԣʳ)"}
	,{"Ը", "ư(ԣʳ)"}
	,{"ʹԸ", "ư(ʹԣʳ)"}
	,{"йԸ", "ư(йԣʳ)"}
	,{"޹Ը", "ư(޹ԣʳ)"}
	,{"Ը", "ư(ԣʳ)"}
	,{"ư", "ư(岼ʳ)"}
	,{"ƻ", "ƻ"}
	,{"ư", "ư(촴̾Ȥʤʤ)"}
	,{"̾", "̾(Ū̾)"}
	,{"̾", "̾"}
	,{"", "̾()"}
	,{"̾", "̾(̾)"}
	,{"̾¾", "̾"}
	,{"ͭ̾", "ͭ̾"}
	,{"ư̾", "ư(촴̾Ȥʤ)"}
	,{"Ū̾", "̾(Ū̾)"}
	,{"ѷư̾", "ư(̾ȤƤȤ)"}
	,{"", ""}
	,{"ư", "³촶ư"}
	,{"³", "³촶ư"}
	,{"Ϣλ", "Ϣλ"}
	,{"Ѷ", "̾(Ū̾)"}
	,{"¾Ω", "ñ"}
	,{"Ƭ", "Ƭ"}
	,{"", ""}
	,{"", ""}
	,{"ʸ", "ñ"}
};

static struct Trans trans_ime2canna[] = {
	{"Ը", "#W5"}
	,{"Ը", "#K5"}
	,{"Ը", "#G5"}
	,{"Ը", "#S5"}
	,{"Ը", "#T5"}
	,{"ʹԸ", "#N5"}
	,{"йԸ", "#B5"}
	,{"޹Ը", "#M5"}
	,{"Ը", "#R5"}
	,{"ư", "#KS"}
	,{"ƻ", "#KY"}
	,{"ư", "#T15"}
	,{"̾", "#T35"}
	,{"̾", "#JN"}
	,{"", "#JNS"}
	,{"̾", "#JNM"}
	,{"̾¾", "#CN"}
	,{"ͭ̾", "#KK"}
	,{"ư̾", "#T05"}
	,{"Ū̾", "#T35"}
	,{"ѷư̾", "#T00"}
	,{"", "#F04"}
	,{"ư", "#CJ"}
	,{"³", "#CJ"}
	,{"Ϣλ", "#RT"}
	,{"Ѷ", "#T35"}
	,{"¾Ω", "#KJ"}
	,{"Ƭ", "#PRE"}
	,{"", "#SUC"}
	,{"", "#JS"}
	,{"ʸ", "#KJ"}
};

class Importer : public QObject
{
	Q_OBJECT
public:
	static QValueList<Word> importCannaTextDictionary( QWidget* parent );
	static QValueList<Word> importWindowsTextDictionary( QWidget* parent );
	static QValueList<Word> importKannadicXMLDictionary( QWidget* parent, KURL a_url = QString::null );
private:
	static QString win2canna( QString from );
	static QString win2cannax( QString from );
};
#endif /* __IMPORTER_H__ */
