#include "dlgopendic.h"
#include "kannadic.h"
#include <kconfig.h>
#include <kdebug.h>
#include <kiconloader.h>
#include <qstringlist.h>
#include <qtextcodec.h>

dlgOpenDic::dlgOpenDic( QWidget *parent ) : KDialogBase(KDialogBase::Swallow, i18n("Open"), Ok|Cancel, Ok, parent, "", true )
{
	setIcon( BarIcon( "fileopen" ) );
	lstDicList = new KListBox( this );
	connect( lstDicList, SIGNAL( executed( QListBoxItem*, const QPoint& ) ) , this, SLOT( slotOk() ) );
	connect( lstDicList, SIGNAL( returnPressed( QListBoxItem * ) ), this, SLOT( slotOk() ) );
	connect( lstDicList, SIGNAL( selectionChanged() ), this, SLOT( slotEnableButtonOK() ) );
	enableButtonOK( false );

	setMainWidget( lstDicList );

	proc = new QProcess( this );
	proc->addArgument( "lsdic" );
	connect( proc, SIGNAL( readyReadStdout() ), this, SLOT( slotReadDic() ) );

	if ( !proc->start() ) {
		// error handling
	}

	KConfig *conf = KGlobal::config();
	conf->setGroup( "dlgOpenDic" );
	if( conf->readNumEntry( "width", width() ) != width() || conf->readNumEntry( "height", height() ) != height() ){
		resize( conf->readNumEntry( "width", width() ), conf->readNumEntry( "height", height() ) );
	}
}

dlgOpenDic::~dlgOpenDic()
{
	KConfig *conf = KGlobal::config();
	conf->setGroup( "dlgOpenDic" );
	conf->writeEntry( "width", width() );
	conf->writeEntry( "height", height() );
}

void dlgOpenDic::slotEnableButtonOK()
{
	enableButtonOK( true );
}

void dlgOpenDic::slotReadDic()
{
	QTextCodec* codec = QTextCodec::codecForName("eucJP");
	while( proc->canReadLineStdout() ){
		lstDicList->insertItem( SmallIcon("kannadic"), codec->toUnicode( proc->readLineStdout() ) );
	}
	delete proc;
}

QString dlgOpenDic::dicname()
{
	return lstDicList->currentText();
}

bool dlgOpenDic::queryClose()
{
	if( lstDicList->currentItem() ){
		return true;
	}else{
		return false;
	}
}
