#ifndef __FRMMAIN_H__
#define __FRMMAIN_H__

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "dlgedit.h"
#include "kannadic.h"

#include <kaction.h>
#include <kdebug.h>
#include <klistview.h>
#include <klocale.h>
#include <kmainwindow.h>
#include <qtabwidget.h>
#include <kurl.h>
#include <klineedit.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <qptrlist.h>
#include <qvbox.h>
#include <qsplitter.h>
#include <qprocess.h>

#define TAB_WORD 0
#define TAB_LIST 1

class frmMain : public KMainWindow
{
	Q_OBJECT
public:
	frmMain();
	~frmMain();

private slots:
	void slotTabChanged();

	void slotSave();
	void slotDicNew();
	void slotDicNew1();
	void slotDicOpen();
	void slotDicOpen( const QString& );
	void slotDicSave();
	void slotDicSave1();
	void slotDicDel();
	void slotDicDel1();
	void slotDicDel2();

	void slotAppend();
	void slotEdit();
	void slotDelete();

	void slotCut();
	void slotCopy();
	void slotPaste();

	void slotSelectAll();
	void slotDeselect();

	void slotUndo();
	void slotRedo();

	void slotImportCannaTextDictionary();
	void slotImportWindowsTextDictionary();
	void slotImportKannadicXMLDictionary();
	void slotExportKannadicXMLDictionary();

	void slotShowClipboard( bool );
	void slotShowMenubar( bool );
	void slotShowToolbar( bool );
	void slotShowStatusbar( bool );

	void slotPreferences();

	void slotPopup( QListViewItem *, const QPoint &, int );

	void slotClipboardHide();
	void slotDictionaryDropped( KListView*, QDropEvent*, QListViewItem* );
private:
	void readConfiguration();
	void writeConfiguration();

	void loadClipboard();
	void saveClipboard();

	int m_blActivate;
	QString m_dicname;
	bool m_blDicOpened;
	bool m_saveClipboard;

	QPtrList<KAction> actEdit;
	KAction* actUndo;
	KAction* actRedo;
	KActionMenu* actImport;
	KActionMenu* actExport;

	KToggleAction* actShowClipboard;
	KToggleAction* actShowMenubar;
	KToggleAction* actShowToolbar;
	KToggleAction* actShowStatusbar;

	QTabWidget* tabBase;
	QSplitter* splList;
	QVBox* clipboard;
	KListView* lvwDictionary;
	KListView* lvwClipboard;
	KLineEdit* txtFrom;
	KLineEdit* txtTo;
	KComboBox* cbxType;
	KPushButton* btnOK;

	void setupCentralWidget();
	void setupWordTab();
	void setupListTab();
	void setupAcitons();
	void setupAcitons_old();
	void setupStatusBar();

	void setEditEnabled( bool );

	void dicOpen( QString a_dicname );
	bool dicSave();

	void importTextDictionary( QValueList<Word> );

	bool isEditError( dlgEdit& dlgedit );
	bool CheckChangedAndSaved();

	QValueList<Word> m_before, m_after;
	QValueList<long> m_changed;
	int m_changed_index;

	QProcess* proc;
protected:
	virtual bool queryClose();
};
#endif /* __FRMMAIN_H__ */
