#ifndef __KANNADIC_H__
#define __KANNADIC_H__

#include <qstring.h>
#include <qvaluelist.h>
#include <qstringlist.h>

struct Word
{
	QString from;
	QString to;
	QString type;
};

class KannaDic
{
public:
	static QStringList lsdic();
	static bool mkdic( QString& a_dicname );
	static bool rmdic( QString& a_dicname );
	static QValueList<Word> catdic( QString& a_dicname );
	static bool mount( QString& a_dicname );
	static bool addword( QString& a_dicname, Word& a_word );
	static bool addwordx( QString& a_dicname, Word& a_word );
	static bool delword( QString& a_dicname, Word& a_word );
	static void unmount( QString& a_dicname );
	static QStringList type();

	static QString code2name( QString code );
	static QString code2namex( QString code );
	static QString name2code( QString name );
	static QString name2codex( QString name );
	static QString escape( QString from );
	static QString unescape( QString from );
private:
	static QString dotCanna();
	static char* servername();
	static char* searchuname();
}
;
#endif /* __KANNADIC_H__ */
