#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <kglobal.h>
#include <klocale.h>
#include <kuniqueapplication.h>

#include "frmmain.h"

static const char* description = I18N_NOOP("KDE based Canna dictionary editor");

static const char* version = "1.7.0";

int main( int argc, char* argv[] )
{
	KAboutData aboutData( "kannadic", I18N_NOOP("KannaDic"), version, description, KAboutData::License_GPL, "", I18N_NOOP("(c)2003, Tasuku Suzuki"), "http://linux-life.net/program/cc/kde/app/kannadic/", "tasuku@linux-life.net" );
	aboutData.addAuthor( I18N_NOOP("Tasuku Suzuki"), I18N_NOOP("Author"), "tasuku@linux-life.net", "http://linux-life.net/" );

	KCmdLineArgs::init( argc, argv, &aboutData );

	KUniqueApplication::addCmdLineOptions();

	if ( !KUniqueApplication::start() ) {
		kdDebug() << QString( I18N_NOOP( "%1 is already running!\n" ) ).arg( aboutData.appName() ) << endl;
		exit(0);
	}

	KUniqueApplication app;
	app.disableSessionManagement();
	if( app.isRestored() ){
		RESTORE( frmMain )
	}else{
		frmMain* mainwidget = new frmMain();
		mainwidget->show();
	}
	return app.exec();
}
