#ifndef __TYPE_H__
#define __TYPE_H__

#include <qstring.h>

struct Type{
	QString name;
	QString code;
};

static struct Type code_name[] = {
	{"ñ", "#KJ"}
	, {"̾", "#CN"}
	, {"̾Ĥ", "#CNS"}
	, {"̾", "#JN"}
	, {"̾", "#JNS"}
	, {"̾̾", "#JNM"}
	, {"̾̾ˤ⤢", "#JCN"}
	, {"ҡ", "#KK"}

	, {"̾졧Ū̾(ۤȤ)", "#T35"}
	, {"̾졧", "#T30"}
	, {"̾졧ư졡(̡)", "#T00"}
	, {"̾졧()", "#T03"}
	, {"̾졧(˽)", "#T04"}
	, {"̾졧ư졡(¡졢)", "#T05"}
	, {"̾졧(͡)", "#T06"}
	, {"̾졧(ʬ)", "#T07"}
	, {"̾졧(ճ̿)", "#T08"}
	, {"̾졧(Ť)", "#T09"}
	, {"̾졧(¿ⵤ)", "#T10"}
	, {"̾졧(ʡ)", "#T11"}
	, {"̾졧(¸ʬ)", "#T12"}
	, {"̾졧(繲)", "#T13"}
	, {"̾졧ư졡(Ʊ)", "#T15"}
	, {"̾졧(Ƴ)", "#T16"}
	, {"̾졧(ԤäꡢŪ)", "#T17"}
	, {"̾졧(ⵤ)", "#T18"}
	, {"̾졧(ʤ)", "#T19"}
	, {"̾졧(ʿ)", "#T25"}
	, {"̾졧(ä)", "#T31"}
	, {"̾졧(ˤ)", "#T32"}
	, {"̾졧(ۤɡ֤)", "#T36"}
	, {"̾졧(֡ϤʤϤ)", "#T37"}

	, {"ư졧ԣ", "#K5"}
	, {"ư졧ԣʤϢѷ̾", "#K5r"}
	, {"ư졧ԤʤϢѷ̾", "#C5r"}
	, {"ư졧ԣ", "#G5"}
	, {"ư졧ԣʤϢѷ̾", "#G5r"}
	, {"ư졧ԣ", "#S5"}
	, {"ư졧ԣʤϢѷ̾", "#S5r"}
	, {"ư졧ԣ", "#T5"}
	, {"ư졧ԣʤϢѷ̾", "#T5r"}
	, {"ư졧ʹԣ", "#N5"}
	, {"ư졧йԣ", "#B5"}
	, {"ư졧йԣʤϢѷ̾", "#B5r"}
	, {"ư졧޹ԣ", "#M5"}
	, {"ư졧޹ԣʤϢѷ̾", "#M5r"}
	, {"ư졧ԣ", "#R5"}
	, {"ư졧ԣʤϢѷ̾", "#R5r"}
	, {"ư졧ԣʡ̿", "#L5"}
	, {"ư졧ԣ", "#W5"}
	, {"ư졧ԣʤϢѷ̾", "#W5r"}
	, {"ư졧()", "#U5"}
	, {"ư졧()Ϣѷ̾", "#U5r"}
	, {"ư졧岼", "#KS"}
	, {"ư졧岼ʡ촴̾", "#KSr"}
	, {"ư졧", "#KX"}
	, {"ư졧", "#SX"}
	, {"ư졧", "#ZX"}
	, {"ư졧", "#NZX"}

	, {"(뤰롢ҤҤ)", "#F00"}
	, {"()", "#F01"}
	, {"(Ʋ)", "#F02"}
	, {"(´סۡ)", "#F03"}
	, {"(դä顢ä)", "#F04"}
	, {"(졢)", "#F05"}
	, {"()", "#F06"}
	, {"()", "#F11"}
	, {"(äȡ)", "#F12"}
	, {"(Ѥ餺)", "#F14"}

	, {"ƻ", "#KY"}
	, {"ƻ졧̾ܤ", "#KYT"}
	, {"ƻ졧Ѥˡ֤(Ϣˡ)פ", "#KYna"}
	, {"ƻ졧֤ߡפǽ̾", "#KYmi"}
	, {"ƻ졧֤פǽȷư", "#KYme"}
	, {"ƻ졧֤ߡפǽ֤̾פǽȷư", "#KYmime"}
	, {"ƻ졧", "#KYU"}

	, {"³졿ư졿Ϣ", "#CJ"}
	, {"Ϣλ", "#RT"}
	, {"ưѸɽθ촴", "#OKX"}

	, {"θ̾()", "#JTNO"}
	, {"#JTNN", "#JTNN"}

	, {"()", "#NN"}
	, {"(xxx)", "#N00"}
	, {"(顢顢ġ)", "#N01"}
	, {"(ɴɴġɴ)", "#N02"}
	, {"(󽽡ġ)", "#N03"}

	, {"̾졧̡(ȡ)", "#KN"}
	, {"̾졧(Ϥ櫓)", "#TKN"}
	, {"̾졧줫顡(餤)", "#FKN"}

	, {"Ƭ졧", "#PRE"}
	, {"Ƭ졧̾", "#CNPRE"}
	, {"Ƭ졧̾", "#JNPRE"}
	, {"Ƭ졧", "#NNPRE"}
	, {"Ƭ졧̾", "#SNPRE"}

	, {"졧", "#SUC"}
	, {"졧̾ 1", "#CNSUC1"}
	, {"졧̾ 2", "#CNSUC2"}
	, {"졧̾", "#JNSUC"}

	, {"", "#JS"}
	, {"졧", "#JSSUC"}
	, {"졧졢ˤĤ()", "#JSmono"}

	, {"졧", "#JNSSUC"}
	, {"졧̾", "#JNMSUC"}

	, {"졧̾첽", "#N2T30"}
	, {"졧̾ˤĤ̾첽", "#N2T35"}
	, {"졧ưϢѷˤĤ̾첽", "#D2T35"}
	, {"졧ư첽", "#D2T16"}

	, {"()", "#K2T15"}
	, {"()", "#K2T16"}
	, {"()", "#K2T35"}

	, {"ʽ()", "#Kkara"}
	, {"ʽ()", "#Kga"}
	, {"ʽ()", "#Kde"}
	, {"ʽ(Ǥ)", "#Kdeno"}
	, {"ʽ()", "#Kto"}
	, {"ʽ()", "#Kni"}
	, {"ʽ(ˤ)", "#Knite"}
	, {"ʽ()", "#Kno"}
	, {"ʽ()", "#Khe"}
	, {"ʽ(ޤ)", "#Kmade"}
	, {"ʽ()", "#Kyori"}
	, {"ʽ()", "#Kwo"}

	, {"()", "#Fka"}
	, {"(ꡢä)", "#Fkiri"}
	, {"()", "#Fga"}
	, {"()", "#Fkoso"}
	, {"()", "#Fsae"}
	, {"()", "#Fsika"}
	, {"()", "#Fsura"}
	, {"()", "#Fzutu"}
	, {"()", "#Fdano"}
	, {"(Ǥ)", "#Fdeha"}
	, {"(Ǥ)", "#Fdemo"}
	, {"(ä)", "#Fttara"}
	, {"(ä)", "#Ftte"}
	, {"()", "#Fto"}
	, {"(Ȥ)", "#Ftoka"}
	, {"(Ȥ)", "#Ftote"}
	, {"(Ȥ)", "#Ftomo"}
	, {"(Ȥ)", "#Ftono"}
	, {"(ɤ)", "#Fdokoro"}
	, {"(ʤ)", "#Fnagara"}
	, {"(ʤ)", "#Fnagarani"}
	, {"(ʤʤ)", "#Fnazo"}
	, {"(ʤǤ)", "#Fnaradeha"}
	, {"(ʤ)", "#Fnari"}
	, {"(Τ)", "#Fnomi"}
	, {"()", "#Fha"}
	, {"(Ф)", "#Fbakari"}
	, {"(ޤ)", "#Fmade"}
	, {"()", "#Fmo"}
	, {"()", "#Fya"}
	, {"()", "#Fyara"}
	, {"(椨)", "#Fyue"}
	, {"(ä)", "#Fdatte"}
	, {"(ää)", "#Fttatte"}

	, {"³()", "#Ska"}
	, {"³()", "#Skara"}
	, {"³(ΤǡΤ)", "#Snode"}
	, {"³()", "#Sga"}
	, {"³()", "#Skuseni"}
	, {"³( )", "#Skeredo"}
	, {"³()", "#Ssi"}
	, {"³(Ĥ)", "#Stutu"}
	, {"³(ä)", "#Stte"}
	, {"³()", "#Sto"}
	, {"³(Ȥ)", "#Stoka"}
	, {"³(Ȥ)", "#Stokoro"}
	, {"³(Ȥ)", "#Stokoroga"}
	, {"³(Ȥ)", "#Stokorode"}
	, {"³(Ȥ)", "#Stote"}
	, {"³(Ȥ)", "#Stomo"}
	, {"³( )", "#Sdomo"}
	, {"³(ɤ)", "#Sdokoroka"}
	, {"³()", "#Ssae"}
	, {"³()", "#Skoso"}
	, {"³(ʤ)", "#Snagara"}
	, {"³(ʤ)", "#Snara"}
	, {"³(ʤ)", "#Snari"}
	, {"³(ˤ)", "#Sniha"}
	, {"³(ˤ)", "#Snimo"}
	, {"³()", "#Sba"}
	, {"³(Τ)", "#Smonono"}
	, {"³(Τ)", "#Smonowo"}

	, {"()", "#Zi"}
	, {"()", "#Zni"}
	, {"(ä)", "#Ztto"}
	, {"()", "#Zka"}
	, {"()", "#Zkai"}
	, {"()", "#Zkasira"}
	, {"()", "#Zkana"}
	, {"()", "#Zsa"}
	, {"()", "#Zze"}
	, {"()", "#Zzo"}
	, {"(Ȥ)", "#Ztomo"}
	, {"()", "#Zmono"}
	, {"()", "#Zna"}
	, {"(ʤ)", "#Znaa"}
	, {"()", "#Zne"}
	, {"(ͤ)", "#Znee"}
	, {"()", "#Zno"}
	, {"()", "#Zya"}
	, {"()", "#Zyo"}
	, {"()", "#Zyona"}
	, {"()", "#Zwa"}

	, {"ưѸԣʤ","#k5a"}
	, {"ưѸԣʤ","#k5i"}
	, {"ưѸԣʤ Ϣ̾","#k5ir"}
	, {"ưѸԣʤ","#k5iO"}
	, {"ưѸԣʤ","#k5u"}
	, {"ưѸԣʤ","#k5e"}
	, {"ưѸԣʤ","#k5o"}
	, {"ưѸԣʤ","#k5ya"}

	, {"ưѸԣʤ","#g5a"}
	, {"ưѸԣʤ","#g5i"}
	, {"ưѸԣʤ Ϣ̾","#g5ir"}
	, {"ưѸԣʤ","#g5iO"}
	, {"ưѸԣʤ","#g5u"}
	, {"ưѸԣʤ","#g5e"}
	, {"ưѸԣʤ","#g5o"}
	, {"ưѸԣʤ","#g5ya"}

	, {"ưѸԣʤ","#s5a"}
	, {"ưѸԣʤ","#s5i"}
	, {"ưѸԣʤ Ϣ̾","#s5ir"}
	, {"ưѸԣʤ","#s5u"}
	, {"ưѸԣʤ","#s5e"}
	, {"ưѸԣʤ","#s5o"}
	, {"ưѸԣʤ","#s5ya"}

	, {"ưѸԣʤ","#t5a"}
	, {"ưѸԣʤ","#t5i"}
	, {"ưѸԣʤ Ϣ̾","#t5ir"}
	, {"ưѸԣʤ","#t5u"}
	, {"ưѸԣʤ","#t5e"}
	, {"ưѸԣʤ","#t5o"}
	, {"ưѸԣʤ","#t5tO"}
	, {"ưѸԣʤ","#t5ya"}

	, {"ưѸʹԣʤ","#n5a"}
	, {"ưѸʹԣʤ","#n5i"}
	, {"ưѸʹԣʤ","#n5nO"}
	, {"ưѸʹԣʤ","#n5u"}
	, {"ưѸʹԣʤ","#n5e"}
	, {"ưѸʹԣʤ","#n5o"}
	, {"ưѸʹԣʤ","#n5ya"}

	, {"ưѸйԣʤ","#b5a"}
	, {"ưѸйԣʤ","#b5i"}
	, {"ưѸйԣʤ Ϣ̾","#b5ir"}
	, {"ưѸйԣʤ","#b5nO"}
	, {"ưѸйԣʤ","#b5u"}
	, {"ưѸйԣʤ","#b5e"}
	, {"ưѸйԣʤ","#b5o"}
	, {"ưѸйԣʤ","#b5ya"}

	, {"ưѸ޹ԣʤ","#m5a"}
	, {"ưѸ޹ԣʤ","#m5i"}
	, {"ưѸ޹ԣʤ Ϣ̾","#m5ir"}
	, {"ưѸ޹ԣʤ","#m5nO"}
	, {"ưѸ޹ԣʤ","#m5u"}
	, {"ưѸ޹ԣʤ","#m5e"}
	, {"ưѸ޹ԣʤ","#m5o"}
	, {"ưѸ޹ԣʤ","#m5ya"}

	, {"ưѸԣʤ","#r5a"}
	, {"ưѸԣʤ","#r5i"}
	, {"ưѸԣʤ Ϣ̾","#r5ir"}
	, {"ưѸԣʤ","#r5u"}
	, {"ưѸԣʤ","#r5e"}
	, {"ưѸԣʤ","#r5o"}
	, {"ưѸԣʤ","#r5tO"}
	, {"ưѸԣʤ","#r5ya"}
	, {"ưѸԣʤ","#r5nO"}

	, {"ưѸԣʤ","#l5a"}
	, {"ưѸԣʤ","#l5i"}
	, {"ưѸԣʤ","#l5iL"}
	, {"ưѸԣʤ","#l5u"}
	, {"ưѸԣʤ","#l5e"}
	, {"ưѸԣʤ","#l5o"}
	, {"ưѸԣʤ","#l5tO"}

	, {"ưѸԣʤ","#w5a"}
	, {"ưѸԣʤ","#w5i"}
	, {"ưѸԣʤ Ϣ̾","#w5ir"}
	, {"ưѸԣʤ","#w5u"}
	, {"ưѸԣʤ","#w5e"}
	, {"ưѸԣʤ","#w5o"}
	, {"ưѸԣʤ","#w5ya"}
	, {"ưѸԣʤ","#w5tO"}

	, {"ưѸԣ()","#u5a"}
	, {"ưѸԣ()","#u5i"}
	, {"ưѸԣ() Ϣ̾","#u5ir"}
	, {"ưѸԣ()","#u5u"}
	, {"ưѸԣ()()","#u5uO"}
	, {"ưѸԣ()","#u5e"}
	, {"ưѸԣ()","#u5o"}
	, {"ưѸԣ()","#u5ya"}

	, {"ưѸ岼ʤ","#ksru"}
	, {"ưѸ岼ʤ","#ksre"}
	, {"ưѸ岼ʤ","#ksro"}
	, {"ưѸ岼ʤ","#ksya"}
	, {"ưѸ岼ʤ","#ksyo"}

	, {"ưѸѤ", "#kxo"}
	, {"ưѸѤ", "#kxi"}
	, {"ưѸѤ", "#kxuru"}
	, {"ưѸѤ", "#kxure"}
	, {"ưѸѤ", "#kxoi"}
	, {"ưѸѤ", "#kxya"}

	, {"ưѸѤ", "#sxa"}
	, {"ưѸѤ", "#sxi"}
	, {"ưѸѤ", "#sxuru"}
	, {"ưѸѤ", "#sxure"}
	, {"ưѸѤ", "#sxe"}
	, {"ưѸѤ", "#sxeyo"}
	, {"ưѸѤ", "#sxiro"}
	, {"ưѸѤ", "#sxya"}
	, {"ưѸ()", "#sxu1"}
	, {"ưѸ()", "#sxu2"}
	, {"ưѸѤƤ", "#gatera"}

	, {"ưѸѤ", "#zxi"}
	, {"ưѸѤ", "#zxe"}
	, {"ưѸѤ", "#zxuru"}
	, {"ưѸѤ", "#zxu"}
	, {"ưѸѤ", "#zxiru"}
	, {"ưѸѤ", "#zxure"}
	, {"ưѸѤ", "#zxeyo"}
	, {"ưѸѤ", "#zxiro"}
	, {"ưѸѤ", "#zxya"}

	, {"ưѸѤ", "#nzx"}

	, {"ưѸǫ(ޤ)", "#masen"}
	, {"ưѸǫ(ޤ)", "#masho"}
	, {"ưѸǫ(ޤ)", "#masi"}
	, {"ưѸǫ(ޤ)", "#masu"}
	, {"ưѸǫ(ޤ)", "#masuru"}
	, {"ưѸǫ(ޤ)", "#masure"}
	, {"ưѸǫ(ޤ)", "#mase"}

	, {"ưѸ(Ǥ)", "#desi"}
	, {"ưѸ(Ǥ)", "#desu"}
	, {"ưѸ(Ǥ)", "#desho"}
	, {"ưѸ(Ǥ礦)", "#deshou"}

	, {"ưѸλ()", "#ktara"}
	, {"ưѸλ()", "#ktari"}
	, {"ưѸλ()", "#ktaro"}
	, {"ưѸλ()", "#kta"}
	, {"ưѸλ()", "#kte"}
	, {"ưѸλ(Ƥ)", "#kteha"}
	, {"ưѸλ()", "#ktya"}
	, {"ưѸλ(Ƥ)", "#ktemo"}
	, {"ưѸλ(Ȥ)", "#ktomo"}
	, {"ưѸλ()", "#kto"}

	, {"ưѸλ(ä)", "#kke"}

	, {"ưѸλ()", "#kdara"}
	, {"ưѸλ()", "#kdari"}
	, {"ưѸλ()", "#kdaro"}
	, {"ưѸλ()", "#kde"}
	, {"ưѸλ()", "#kda"}
	, {"ưѸλ(Ǥ)", "#kdeha"}
	, {"ưѸλ()", "#kdya"}
	, {"ưѸλ(Ǥ)", "#kdemo"}
	, {"ưѸλ()", "#kdo"}

	, {"ưѸ()", "#ddaro"}
	, {"ưѸ()", "#ddarou"}
	, {"ưѸ()", "#ddat"}
	, {"ưѸ(Ǥ)", "#ddemo"}
	, {"ưѸ()ưθͤ", "#dda1"}
	, {"ưѸ()ʸˤ³ʤ", "#dda2"}
	, {"ưѸ()ưθͤ", "#dde1"}
	, {"ưѸ()ʸ³ʤ", "#dde2"}
	, {"ưѸ()ʤ__", "#dde3"}
	, {"ưѸ(Ǥϡ)", "#ddeha"}
	, {"ưѸ()", "#djan"}

	, {"ư췿ѡʳ()", "#buru"}
	, {"ư췿ѡʳ()", "#garu"}
	, {"ư췿ѡʳ(Ф)", "#N2R5"}
	, {"ư췿ѡʳ(᤯)", "#N2K5"}

	, {"ư췿ѡ岼()", "#saseru"}
	, {"ư췿ѡ岼()", "#simeru"}
	, {"ư췿ѡ岼()", "#sugiru"}
	, {"ư췿ѡ岼(䤬)", "#yagaru"}
	, {"ư췿ѡ岼()", "#seru"}
	, {"ư췿ѡ岼(դ)", "#N2KS"}
	, {"ư췿ѡ岼()", "#siru"}
	, {"ư췿ѡ岼()", "#sasiru"}

	, {"ư췿ѡʳ()", "#k5sa"}
	, {"ư췿ѡʳ()", "#k5siru"}
	, {"ư췿ѡʳ()", "#su"}
	, {"ư췿ѡʳ()", "#k5sere"}
	, {"ư췿ѡʳ()", "#k5so"}
	, {"ư췿ѡʳ()", "#sasu"}
	, {"ư췿ѡʳ(ʤ)º", "#nasaru"}

	, {"ư췿ѡǽ()", "#rareru"}
	, {"ư췿ѡǽ()", "#reru"}
	, {"ư췿ѡǽ(Ǥ)", "#dekiru"}

	, {"Ϣѷդ졧 ֤ʤפ³ʤ", "#ni"}

	, {"ư췿ѡ¾()", "#aru"}
	, {"ư췿ѡ¾()", "#aru5a"}
	, {"ư췿ѡ¾()", "#aru5i"}
	, {"ư췿ѡ¾()", "#iru"}
	, {"ư췿ѡ¾()", "#oru"}
	, {"ư췿ѡ¾()", "#kureru"}
	, {"ư췿ѡ¾(餦)", "#morau"}
	, {"ư췿ѡ¾()", "#yaru"}
	, {"ư췿ѡ¾(ߤ)", "#miru"}
	, {"ư췿ѡ¾()", "#oku"}
	, {"ư췿ѡ¾(㤦ޤ)", "#chau"}
	, {"ư췿ѡ¾(㤦)", "#jau"}
	, {"ư췿ѡ¾()", "#shimau5a"}
	, {"ư췿ѡ¾(ʤ)", "#naru"}
	, {"ư췿ѡ¾()", "#yorur5tO"}
	, {"ư췿ѡ¾()", "#yorur5u"}
	, {"ư췿ѡ¾()", "#yorur5e"}

	, {"ƻ췿()", "#kykara"}
	, {"ƻ췿()", "#kykaru"}
	, {"ƻ췿()", "#kykare"}
	, {"ƻ췿()", "#kykaro"}
	, {"ƻ췿()", "#kykat"}
	, {"ƻ췿()", "#kyi"}
	, {"ƻ췿()", "#kykere"}
	, {"ƻ췿()", "#kykya"}
	, {"ƻ췿()", "#kyki"}
	, {"ƻ췿()", "#kyku"}
	, {"ƻ췿ѡ()", "#kyu"}
	, {"ƻ췿ѡ(夦)", "#kylyu"}
	, {"ƻ췿ѡ̾첽()", "#kymi"}

	, {"ʸŪưࡧ()", "#bekara"}
	, {"ʸŪưࡧ()", "#beku"}
	, {"ʸŪưࡧ()", "#besi"}
	, {"ʸŪưࡧ()", "#beki"}
	, {"ʸŪưࡧ()", "#gotoku"}
	, {"ʸŪưࡧ()", "#gotosi"}
	, {"ʸŪưࡧ()", "#gotoki"}

	, {"ƻ췿(餷)", "#rasii"}
	, {"ƻ췿(ä)", "#ppoi"}

	, {"()", "#nai"}
	, {"(ˤ)", "#nainya"}
	, {"(ʤ)", "#nainee"}
	, {"(ʤ)", "#naisa"}

	, {"()", "#tai"}
	, {"()", "#taitou"}
	, {"(䤹)", "#yasui"}
	, {"졧̾졢ưηƻ첽(ޤ)", "#ND2KY"}
	, {"졧ưϢѷηƻ첽(餤)", "#D2KY"}
	, {"졧̾ηƻ첽(⤤ᤤ)", "#N2KYT"}

	, {"ưѡ", "#kdna"}
	, {"ưѡ()", "#kdnaru"}
	, {"ưѡ()", "#kdnara"}
	, {"ưѡ()", "#kdnare"}
	, {"ưѡ", "#kdni"}

	, {"ưѡ", "#kdto"}
	, {"ưѡ()", "#kdtaru"}
	, {"ưѡ()", "#kdtare"}

	, {"üѡư첽(Ť)", "#N2T10"}
	, {"üѡư첽(Ť)", "#N2T15"}
	, {"üѡư첽(Ūή)", "#N2T16"}
	, {"üѡư첽(ߤ)", "#N2T17"}

	, {"üѡ涷(褦)", "#youda"}
	, {"üѡ涷(ߤ)", "#mitaida"}
	, {"üѡ()", "#ysouda"}
	, {"üѡʹ()", "#dsouda"}
	, {"ü()", "#zu"}
	, {"ü()", "#znn"}
	, {"ü()", "#zaru"}
	, {"ü()", "#znu"}
	, {"ü()", "#zun"}
	, {"ü()", "#zare"}
	, {"ü()", "#zne"}
	, {"üѡջ()", "#u"}
	, {"üѡջ(褦)", "#you"}
	, {"üѡջ(ޤ)", "#mai"}
	, {"üѡ̿(ޤ)", "#tamae"}
	, {"ü(ʤ)", "#na"}

	, {"졧ԣưˤĤ()", "#kte2"}
	, {"졧ԣưˤĤˤĤ()", "#ktek5a"}

	, {"졧λ(ȡ)ˤĤ()", "#ktok5a"}
	, {"졧λ(ȡ)ˤĤ()", "#ktok5i"}
	, {"졧λ(ȡ)ˤĤ()", "#ktok5iO"}
	, {"졧λ(ȡ)ˤĤ()", "#ktok5u"}
	, {"졧λ(ȡ)ˤĤ()", "#ktok5e"}
	, {"졧λ(ȡ)ˤĤ()", "#ktok5o"}
	, {"졧λ(ȡ)ˤĤ()", "#ktok5ya"}
	, {"졧λ(ȡ)ˤĤ()", "#nn"}
	, {"졧λ(ȡ)ˤĤ()", "#te"}

	, {"¾ǤΤ(ä)", "#ssu"}
};

#endif /* __TYPE_H__ */
